Bug 566290 - Review Request: goddard-backgrounds - Goddard desktop backgrounds
Summary: Review Request: goddard-backgrounds - Goddard desktop backgrounds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 566695
TreeView+ depends on / blocked
 
Reported: 2010-02-17 19:56 UTC by Martin Sourada
Modified: 2010-02-26 11:50 UTC (History)
5 users (show)

Fixed In Version: constantine-backgrounds-12.1.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 11:50:26 UTC
luya: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Martin Sourada 2010-02-17 19:56:14 UTC
Spec URL: http://mso.fedorapeople.org/packages/SPECS/goddard-backgrounds.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/goddard-backgrounds-12.91.0-1.fc12.src.rpm
Description: Desktop backgrounds for the Goddard (F13) theme

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1994836

Package splitting info:
As the package will also ship dual-screen wallpapers in future releases, which are however *not* shipped with KDE version, it is split into -single and (now still non-existent) -dual subpackages which contain the necessary images. The -gnome subpackage has the gnome related stuff, -kde subpackage has the KDE related stuff. The main package just pulls in everything.

Comment 1 Luya Tshimbalanga 2010-02-18 09:55:00 UTC
$ rpmlint Downloads/goddard-backgrounds-12.91.0-1.fc12.src.rpm 
goddard-backgrounds.src:35: W: unversioned-explicit-provides system-backgrounds-kde
goddard-backgrounds.src:50: W: unversioned-explicit-provides system-backgrounds
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Package is named according to Packaging:NamingGuidelines
+ The spec file name matches the base package goddard-background 
+ License is CC-BY-SA
+ Spec file is in American English and legible

Could you check about the warning message? I will continue to review once that is resolved.

Comment 2 Martin Sourada 2010-02-18 10:40:22 UTC
(In reply to comment #1)
> $ rpmlint Downloads/goddard-backgrounds-12.91.0-1.fc12.src.rpm 
> goddard-backgrounds.src:35: W: unversioned-explicit-provides
> system-backgrounds-kde
> goddard-backgrounds.src:50: W: unversioned-explicit-provides system-backgrounds
> 1 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
It's the same in constantine-backgrounds, I don't think these provides need versioning. It might be the other way around. Although, come to think, it should be for >= fedora 13, not for >= fedora 12 where this is provided by constantine-backgrounds...

Updated SPEC: http://mso.fedorapeople.org/packages/SPECS/goddard-backgrounds.spec
Updated SRPM: http://mso.fedorapeople.org/packages/SRPMS/goddard-backgrounds-12.91.0-2.fc12.src.rpm

Also, when you will run rpmlint on the binary packages there'll be lots of dangling symlinks warnings on -kde subpackage. These are expected as they link to the images in -single subpackage.

Comment 3 Paul W. Frields 2010-02-18 16:21:29 UTC
Luya, do you want to claim this bug?  Use the "take" link above so it's assigned to you, and it won't look like it's unclaimed in the package review queue.  Thank you for working on this!

Comment 4 Paul W. Frields 2010-02-18 16:22:25 UTC
Oh wait, I can just do that myself, sorry!

Comment 5 Luya Tshimbalanga 2010-02-18 17:26:08 UTC
(In reply to comment #3)
> Luya, do you want to claim this bug?  Use the "take" link above so it's
> assigned to you, and it won't look like it's unclaimed in the package review
> queue.  Thank you for working on this!    

No problem, I am taking care of this package.

Comment 6 Luya Tshimbalanga 2010-02-18 23:58:00 UTC
Further review:

+ $ md5sum rpmbuild/SOURCES/goddard-backgrounds-12.91.0.tar.lzma Download/goddard-backgrounds-12.91.0.tar.lzma 
6db2255dbaf9e5d8609a1fe06b1629ee  rpmbuild/SOURCES/goddard-backgrounds-12.91.0.tar.lzma
6db2255dbaf9e5d8609a1fe06b1629ee  Download/goddard-backgrounds-12.91.0.tar.lzma

+ md5sum extracted from srpm files matches md5sum the upstream source
+ Package succesfully compiled and built into binary rpms with noarch BuildArc
+ BuidRequires and requires are provided on spec file
+ No bundled copies of system libraires
+ Package owns all directories that it created
+ Files from %file are listed once in spec files
+ Permission on files are properly set.
+ Package is a clean section which contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Contents are wallpapers under CC-BY-SA created by Fedora Design team
+ Package runs rm -rf %{buildroot} at the beginning of %install
+ Filename in rm packages is valid UTF-8
+ Source package include license text as separate file
+ no scriptlets used 

After thoroughly reviewed both srpm and spec file, goddard-backgrounds fully complies to Fedora Packaging Guideline and set to accept.

Comment 7 Martin Sourada 2010-02-19 08:04:25 UTC
New Package CVS Request
=======================
Package Name: goddard-backgrounds
Short Description: Goddard desktop backgrounds
Owners: mso
Branches: F-13
InitialCC:

Comment 8 Jason Tibbitts 2010-02-19 20:09:14 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-02-19 22:43:48 UTC
constantine-backgrounds-12.1.1-3.fc13,goddard-backgrounds-12.91.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/constantine-backgrounds-12.1.1-3.fc13,goddard-backgrounds-12.91.0-2.fc13

Comment 10 Fedora Update System 2010-02-19 22:44:53 UTC
constantine-backgrounds-12.1.1-3.fc13,goddard-backgrounds-12.91.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/constantine-backgrounds-12.1.1-3.fc13,goddard-backgrounds-12.91.0-2.fc13

Comment 11 Fedora Update System 2010-02-20 03:48:55 UTC
constantine-backgrounds-12.1.1-3.fc13, goddard-backgrounds-12.91.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update constantine-backgrounds goddard-backgrounds'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1709

Comment 12 Fedora Update System 2010-02-26 11:50:20 UTC
constantine-backgrounds-12.1.1-3.fc13, goddard-backgrounds-12.91.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.